Forward inbox message
curl --request POST \
--url https://prod.leadvector.app/v1/inbox/messages/{id}/forward \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"toEmails": [
"jane.doe@northwind.example"
],
"mailboxId": 1,
"ccEmails": [
"sam@acme.example"
],
"bccEmails": [
"archive@acme.example"
],
"note": "Jane asked about pricing; can you take this?"
}
'import requests
url = "https://prod.leadvector.app/v1/inbox/messages/{id}/forward"
payload = {
"toEmails": ["jane.doe@northwind.example"],
"mailboxId": 1,
"ccEmails": ["sam@acme.example"],
"bccEmails": ["archive@acme.example"],
"note": "Jane asked about pricing; can you take this?"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toEmails: ['jane.doe@northwind.example'],
mailboxId: 1,
ccEmails: ['sam@acme.example'],
bccEmails: ['archive@acme.example'],
note: 'Jane asked about pricing; can you take this?'
})
};
fetch('https://prod.leadvector.app/v1/inbox/messages/{id}/forward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/inbox/messages/{id}/forward",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'toEmails' => [
'jane.doe@northwind.example'
],
'mailboxId' => 1,
'ccEmails' => [
'sam@acme.example'
],
'bccEmails' => [
'archive@acme.example'
],
'note' => 'Jane asked about pricing; can you take this?'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/inbox/messages/{id}/forward"
payload := strings.NewReader("{\n \"toEmails\": [\n \"jane.doe@northwind.example\"\n ],\n \"mailboxId\": 1,\n \"ccEmails\": [\n \"sam@acme.example\"\n ],\n \"bccEmails\": [\n \"archive@acme.example\"\n ],\n \"note\": \"Jane asked about pricing; can you take this?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.leadvector.app/v1/inbox/messages/{id}/forward")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"toEmails\": [\n \"jane.doe@northwind.example\"\n ],\n \"mailboxId\": 1,\n \"ccEmails\": [\n \"sam@acme.example\"\n ],\n \"bccEmails\": [\n \"archive@acme.example\"\n ],\n \"note\": \"Jane asked about pricing; can you take this?\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/inbox/messages/{id}/forward")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"toEmails\": [\n \"jane.doe@northwind.example\"\n ],\n \"mailboxId\": 1,\n \"ccEmails\": [\n \"sam@acme.example\"\n ],\n \"bccEmails\": [\n \"archive@acme.example\"\n ],\n \"note\": \"Jane asked about pricing; can you take this?\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Inbox message forwarded successfully",
"data": {
"message": "Email forwarded successfully",
"data": {
"id": 981,
"providerMessageId": "18c3f2…",
"providerThreadId": "18c3f0…",
"toEmails": [
"jane.doe@northwind.example"
],
"subject": "Fwd: Quick question",
"sentAt": "2023-11-07T05:31:56Z"
}
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Inbox
Forward inbox message
Forwards an inbox message belonging to the authenticated API user.
POST
/
v1
/
inbox
/
messages
/
{id}
/
forward
Forward inbox message
curl --request POST \
--url https://prod.leadvector.app/v1/inbox/messages/{id}/forward \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"toEmails": [
"jane.doe@northwind.example"
],
"mailboxId": 1,
"ccEmails": [
"sam@acme.example"
],
"bccEmails": [
"archive@acme.example"
],
"note": "Jane asked about pricing; can you take this?"
}
'import requests
url = "https://prod.leadvector.app/v1/inbox/messages/{id}/forward"
payload = {
"toEmails": ["jane.doe@northwind.example"],
"mailboxId": 1,
"ccEmails": ["sam@acme.example"],
"bccEmails": ["archive@acme.example"],
"note": "Jane asked about pricing; can you take this?"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toEmails: ['jane.doe@northwind.example'],
mailboxId: 1,
ccEmails: ['sam@acme.example'],
bccEmails: ['archive@acme.example'],
note: 'Jane asked about pricing; can you take this?'
})
};
fetch('https://prod.leadvector.app/v1/inbox/messages/{id}/forward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/inbox/messages/{id}/forward",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'toEmails' => [
'jane.doe@northwind.example'
],
'mailboxId' => 1,
'ccEmails' => [
'sam@acme.example'
],
'bccEmails' => [
'archive@acme.example'
],
'note' => 'Jane asked about pricing; can you take this?'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/inbox/messages/{id}/forward"
payload := strings.NewReader("{\n \"toEmails\": [\n \"jane.doe@northwind.example\"\n ],\n \"mailboxId\": 1,\n \"ccEmails\": [\n \"sam@acme.example\"\n ],\n \"bccEmails\": [\n \"archive@acme.example\"\n ],\n \"note\": \"Jane asked about pricing; can you take this?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.leadvector.app/v1/inbox/messages/{id}/forward")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"toEmails\": [\n \"jane.doe@northwind.example\"\n ],\n \"mailboxId\": 1,\n \"ccEmails\": [\n \"sam@acme.example\"\n ],\n \"bccEmails\": [\n \"archive@acme.example\"\n ],\n \"note\": \"Jane asked about pricing; can you take this?\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/inbox/messages/{id}/forward")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"toEmails\": [\n \"jane.doe@northwind.example\"\n ],\n \"mailboxId\": 1,\n \"ccEmails\": [\n \"sam@acme.example\"\n ],\n \"bccEmails\": [\n \"archive@acme.example\"\n ],\n \"note\": \"Jane asked about pricing; can you take this?\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Inbox message forwarded successfully",
"data": {
"message": "Email forwarded successfully",
"data": {
"id": 981,
"providerMessageId": "18c3f2…",
"providerThreadId": "18c3f0…",
"toEmails": [
"jane.doe@northwind.example"
],
"subject": "Fwd: Quick question",
"sentAt": "2023-11-07T05:31:56Z"
}
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Authorizations
Your API key, from the API keys page of the app.
Path Parameters
Message identifier
Example:
1
Body
application/json
Who the message is forwarded to: one address or more.
Example:
["jane.doe@northwind.example"]
Mailbox to send the forward from; it must belong to the user and be active. Defaults to the mailbox that holds the message.
Example:
1
Copied on the forward.
Example:
["sam@acme.example"]
Copied on the forward, unseen by the other recipients.
Example:
["archive@acme.example"]
A note placed above the forwarded message.
Maximum string length:
5000Example:
"Jane asked about pricing; can you take this?"